gnutls_ocsp_resp_export2(3)

NAME
gnutls_ocsp_resp_export2 - API function

SYNOPSIS
#include <gnutls/ocsp.h>

int gnutls_ocsp_resp_export2(gnutls_ocsp_resp_const_t resp, gnutls_datum_t * data, gnutls_x509_crt_fmt_t fmt);

ARGUMENTS

gnutls_ocsp_resp_const_t resp
    Holds the OCSP response

gnutls_datum_t * data
    newly allocate buffer holding DER or PEM encoded OCSP response

gnutls_x509_crt_fmt_t fmt
    DER or PEM

DESCRIPTION
This function will export the OCSP response to DER or PEM format.

RETURNS
In case of failure a negative error code will be returned, and 0 on success.

SINCE
3.6.3

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: https://www.gnutls.org

COPYRIGHT
Copyright © 2001-2023 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

https://www.gnutls.org/manual/